@echo off

rem 6/26/2006 - 07:00

setlocal ENABLEEXTENSIONS

set VideoPath=E:\Doppler\VIDEO_TO_CONVERT\
set Video2ReplayPath="C:\ReplayTV\Doppler2RTV.bat"
set ListPath=C:\ReplayTV

rem ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
rem YOU MUST MODIFY THE LINES SET ABOVE TO MATCH THE PATHS ON YOUR OWN COMPUTER SYSTEM.

echo -------------------------------------------------------------------------------

echo Multiple Video File Converter 

echo -------------------------------------------------------------------------------

echo This batch file will convert multiple digital video files to a

echo 5K ReplayTV format which can be streamed via the DVArchive program.

echo Set the 'VideoPath' to the directory containing the files to convert.

echo They will be processed one after another until they are all done.

echo -------------------------------------------------------------------------------

echo Customized by Thomas Malsbury - mailto:malsbury@gmail.com 

echo This is a very customized version of Wreck's multi_convert.bat

echo This is only provided as an example of its flexibility.

echo -------------------------------------------------------------------------------

echo.

if not exist %Video2ReplayPath% goto Video2ReplayPathNotFound

if exist "%ListPath%\convert_list.txt" del "%ListPath%\convert_list.txt"
if exist "%ListPath%\pass_list.txt" del "%ListPath%\pass_list.txt"
if exist "%ListPath%\fail_list.txt" del "%ListPath%\fail_list.txt"


dir %VideoPath% /b /o:d /a:-d > %ListPath%\convert_list.txt

set VidPath="%VideoPath%

set "lines=99"
set i=-1
set "ok="
for /f "delims=" %%a in ('more ^< %ListPath%\convert_list.txt') do (
  set/a i+=1 & for /f %%z in ('echo/%%i%%') do (
    if "%%z"=="%lines%" set ok=1
  )
  if not defined ok call %Video2ReplayPath% %VidPath%%%a" 
)

echo.

:Failed

if not exist "%ListPath%\fail_list.txt" goto Converted

echo -------------------------------------------------------------------------------
echo Failed to Convert:
echo -------------------------------------------------------------------------------

set "lines=99"
set i=-1
set "ok="
for /f "delims=" %%a in ('more ^< %ListPath%\fail_list.txt') do (
  set/a i+=1 & for /f %%z in ('echo/%%i%%') do (
    if "%%z"=="%lines%" set ok=1
  )
  if not defined ok echo/%%a
)

echo.

:Converted

if not exist "%ListPath%\pass_list.txt" goto END

echo -------------------------------------------------------------------------------
echo Converted and Imported: 
echo -------------------------------------------------------------------------------

set "lines=99"
set i=-1
set "ok="
for /f "delims=" %%a in ('more ^< %ListPath%\pass_list.txt') do (
  set/a i+=1 & for /f %%z in ('echo/%%i%%') do (
    if "%%z"=="%lines%" set ok=1
  )
  if not defined ok echo/%%a
)

echo.

:END

pause

if exist "%ListPath%\convert_list.txt" del "%ListPath%\convert_list.txt"
if exist "%ListPath%\pass_list.txt" del "%ListPath%\pass_list.txt"
if exist "%ListPath%\fail_list.txt" del "%ListPath%\fail_list.txt"

exit

:Video2ReplayPathNotFound

echo -------------------------------------------------------------------------------

echo Video2ReplayPath '%Video2ReplayPath%' does not exist.

echo Modify this batch file so Video2ReplayPath points to Video2ReplayTV.bat

pause

exit


ADDITIONAL DOCUMENTATION - Turn word wrap on to make viewing easier.

This batch will convert multiple video files, calling up 
Video2ReplayTV.bat for each one.  Set the %VidPath% to the directory 
containg the files you want converted to this batch and drop them here. 
They will be processed one after another until they are all done.  If 
the conversion fails on any file, this batch will go on to the next.

There is not supposed to be any practical limit to the number of files 
you can process using this method, but if you are going to process more 
than 99 you're going to need to increase the "lines=99" and get a 
really big disk drive.

set Video2ReplayPath="C:\ffMpeg\Video2ReplayTV.bat"

This line must be changed to reflect the true location of the 
Video2ReplayTV.bat file. Both the path and the filename must be 
included.  Quotes must be used. If the path is wrong or does not exist, 
you will get an error message.

You will need to have the 2006-02-14 version (or later) of 
Video2ReplayTV.bat for this batch to work correctly. 